<?xml version="1.0"?>
<configuration>
  <configSections>
    <!-- The <configSections> element must contain a <section> tag for the <RewriterConfig> section element.
			The type of the section handler is RewriterConfigSerializerSectionHandler, which is responsible for
			deserializing the <RewriterConfig> section element into a RewriterConfig instance... -->
    <section name="RewriterConfig" type="URLRewriter.Config.RewriterConfigSerializerSectionHandler, URLRewriter"/>
  </configSections>
  <connectionStrings>
    <add name="SQLConnString" connectionString="Data Source=192.168.1.26;Initial Catalog=c2c31_Taobao;User ID=sa;Password=123456" providerName="System.Data.SqlClient"/>
  </connectionStrings>
  <!--
                       /////////////////////////////////////////////////////////////////////////////////////////////////////
                      //3.0升级二级域名                                                                                  //
                     //<RewriterRule>                                                                                   //
                    ////  <LookFor><![CDATA[http://www.f5w.net.cn/index.aspx]]></LookFor>  
                    //  把f5w.net.cn换成你的域名 访问地址为：   http://二级域名.index.aspx
                   // <SendTo><![CDATA[~/showShop.aspx?uin=$1]]></SendTo>                                                        //
                  // </RewriterRule>                                                                                 //
                 //                                                                                                 //
                /////////////////////////////////////////////////////////////////////////////////////////////////////
  -->


  <RewriterConfig>
    <Rules>
      <!-- Rules for Blog Content Displayer -->

      <RewriterRule>
        <!--二级域名-->
        <LookFor><![CDATA[http://www.f5w.net.cn/Default.aspx]]></LookFor>
        <SendTo><![CDATA[~/Default.aspx]]></SendTo>
      </RewriterRule>

      <RewriterRule>
        <LookFor><![CDATA[http://(\w+).f5w.net.cn/index.aspx]]></LookFor>
        <SendTo><![CDATA[~/showShop.aspx?uin=$1]]></SendTo>
      </RewriterRule>

    </Rules>
  </RewriterConfig>
  <system.web>
    <anonymousIdentification enabled="true"/>
    <profile automaticSaveEnabled="false" defaultProvider="ShoppingCartProvider">
      <providers>
        <add name="ShoppingCartProvider" connectionStringName="SQLConnString" type="PetShop.Profile.PetShopProfileProvider" applicationName=".NET Pet Shop 4.0"/>
        <add name="WishListProvider" connectionStringName="SQLConnString" type="PetShop.Profile.PetShopProfileProvider" applicationName=".NET Pet Shop 4.0"/>
        <add name="AccountInfoProvider" connectionStringName="SQLConnString" type="PetShop.Profile.PetShopProfileProvider" applicationName=".NET Pet Shop 4.0"/>
      </providers>
      <properties>
        <add name="ShoppingCart" type="PetShop.BLL.Cart" allowAnonymous="true" provider="ShoppingCartProvider"/>
        <add name="WishList" type="PetShop.BLL.Cart" allowAnonymous="true" provider="WishListProvider"/>
        <add name="AccountInfo" type="PetShop.Model.AddressInfo" allowAnonymous="false" provider="AccountInfoProvider"/>
      </properties>
    </profile>
    <pages validateRequest="false"/>


    <httpModules>
      <!--add type="Discuz.Forum.HttpModule, Discuz.Forum" name="HttpModule" /-->
      <add type="URLRewriter.ModuleRewriter, URLRewriter" name="ModuleRewriter"/>
    </httpModules>
    <!--  动态调试编译
          设置 compilation debug="true" 以启用 ASPX 调试。否则，将此值设置为
          false 将提高此应用程序的运行时性能。
          设置 compilation debug="true" 以将调试符号(.pdb 信息)
          插入到编译页中。因为这将创建执行起来
          较慢的大文件，所以应该只在调试时将此值设置为 true，而在所有其他时候都设置为
          false。有关更多信息，请参考有关
          调试 ASP.NET 文件的文档。
    -->
    <compilation defaultLanguage="c#" debug="true">
    </compilation>
    <!--  自定义错误信息
          设置 customErrors mode="On" 或 "RemoteOnly" 以启用自定义错误信息，或设置为 "Off" 以禁用自定义错误信息。 
          为每个要处理的错误添加 <error> 标记。

          "On" 始终显示自定义(友好的)信息。
          "Off" 始终显示详细的 ASP.NET 错误信息。
          "RemoteOnly" 只对不在本地 Web 服务器上运行的
           用户显示自定义(友好的)信息。出于安全目的，建议使用此设置，以便 
           不向远程客户端显示应用程序的详细信息。
    -->
    <customErrors mode="Off" defaultRedirect="error.aspx"></customErrors>
    <!--  身份验证 
          此节设置应用程序的身份验证策略。可能的模式是 "Windows"、 
          "Forms"、 "Passport" 和 "None"

          "None" 不执行身份验证。 
          "Windows" IIS 根据应用程序的设置执行身份验证 
            (基本、简要或集成 Windows)。在 IIS 中必须禁用匿名访问。
          "Forms" 您为用户提供一个输入凭据的自定义窗体(Web 页)，然后 
           在您的应用程序中验证他们的身份。用户凭据标记存储在 Cookie 中。
          "Passport" 身份验证是通过 Microsoft 的集中身份验证服务执行的，
           它为成员站点提供单独登录和核心配置文件服务。
    -->
    <authentication mode="Windows"/>
    <!--  授权 
           此节设置应用程序的授权策略。可以允许或拒绝不同的用户或角色访问
          应用程序资源。通配符: "*" 表示任何人，"?" 表示匿名
          (未经身份验证的)用户。
    -->
    <authorization>
      <allow users="*"/>
      <!-- 允许所有用户 -->
      <!--  <allow     users="[逗号分隔的用户列表]"
                             roles="[逗号分隔的角色列表]"/>
                  <deny      users="[逗号分隔的用户列表]"
                             roles="[逗号分隔的角色列表]"/>
            -->
    </authorization>
    <!--  应用程序级别跟踪记录
          应用程序级别跟踪为应用程序中的每一页启用跟踪日志输出。
          设置 trace enabled="true" 可以启用应用程序跟踪记录。如果 pageOutput="true"，则
          在每一页的底部显示跟踪信息。否则，可以通过浏览 Web 应用程序
           根目录中的 "trace.axd" 页来查看
          应用程序跟踪日志。
    -->
    <trace enabled="false" requestLimit="10" pageOutput="false" traceMode="SortByTime" localOnly="true"/>
    <!--  会话状态设置
          默认情况下，ASP.NET 使用 Cookie 来标识哪些请求属于特定的会话。
          如果 Cookie 不可用，则可以通过将会话标识符添加到 URL 来跟踪会话。
         若要禁用 Cookie，请设置 sessionState cookieless="true"。
    -->
    <sessionState mode="InProc" timeout="40"/>
    <!--  全球化
          此节设置应用程序的全球化设置。
    -->
    <httpRuntime maxRequestLength="102400" executionTimeout="720" />


    <!-- 记得加入以下配置 -->
    <globalization requestEncoding="gb2312" responseEncoding="gb2312" culture="zh-CN" fileEncoding="gb2312"/>
    <xhtmlConformance mode="Legacy"/>


  </system.web>
  <appSettings>
    <add key="YXType" value="0"/>
    <!--
                /////////////////////////////////////////////////////////////////////////////////////////
                //修改下面的数据库配置server=地址;uid=账号;pwd=密码;Trusted_Connection=no;database=库名//
                /////////////////////////////////////////////////////////////////////////////////////////
                -->
    <add key="WebDAL" value="PetShop.SQLServerDAL"/>
    <add key="OrdersDAL" value="PetShop.SQLServerDAL"/>
    <add key="ProfileDAL" value="PetShop.SQLProfileDAL"/>
    <add key="YXPath" value="server=192.168.1.26;uid=sa;pwd=123456;Trusted_Connection=no;database=c2c31_Taobao;Max Pool Size=50000;Min Pool Size=30"/>
    <add key="YXPathDB" value="server=.;uid=sa;pwd=123456;Trusted_Connection=no;database=c2c30"/>
    <add key="YXCookieName" value="#ChangeUser#"/>
    <add key="YXUser" value=""/>
    <add key="YXPwd" value=""/>
    <add key="YXServer" value=""/>
    <add key="YXDB" value=""/>

    <!--
               ////////////////////////////////////////////////////////////////////////////////////////////////////////////////
              //财付通配置<add key="queryreturn_url" value="http://在此写入你的网址/payonline/tenpaymd5/queryresult.aspx"/>///
             ////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    -->
    <!--财付通即时到帐-->
    <add key="paygateurl1" value="https://www.tenpay.com/cgi-bin/v1.0/pay_gate.cgi"/>
    <add key="querygateurl1" value="http://mch.tenpay.com/cgi-bin/cfbi_query_order.cgi"/>
    <add key="return_url" value="http://www.f5w.net.cn/payonline/tenpaymd5/payresult.aspx"/>
    <add key="queryreturn_url" value="http://www.f5w.net.cn/payonline/tenpaymd5/queryresult.aspx"/>

    <!--财付通中介担保-->
    <add key="paygateurl" value="https://www.tenpay.com/cgi-bin/med/show_opentrans.cgi"/>
    <!-- 财付通支付网关URL -->
    <add key="querygateurl" value="https://www.tenpay.com/cgi-bin/med/query_opentrans.cgi"/>
    <!-- 财付通查询订单URL -->
    <add key="mch_returl" value="http://10.1.46.133/payonline/tenpay_med/paynotify.aspx"/>
    <!-- 回调通知url -->
    <add key="show_url" value="http://10.1.46.133/payonline/tenpay_med/payshow.aspx"/>
    <!-- 回调后的商户支付结果展示页面 -->
    <!--
                //////////////////////////////////////////////////////////////////////////////////////////
                //2.3升级 店铺销售成功了商品，会员购买了商品。双方的信誉设置                            //
                //信誉配置 (暂时 按照每一次加荣誉只能是整数)                                            //
                //////////////////////////////////////////////////////////////////////////////////////////
                -->
    <add key="BuyerCreditStanding" value="1"/>
    <add key="SellerCreditStanding" value="1"/>
   
    <add key="ShopDomainName" value="test"/>

  </appSettings>
  <system.codedom>
  </system.codedom>
  <system.webServer>
  </system.webServer>
</configuration>
